cascading.flow.planner.rule.elementexpression

## Class BoundariesElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.OrElementExpression
    - - cascading.flow.planner.rule.elementexpression.BoundariesElementExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class BoundariesElementExpression
    extends OrElementExpression

### Constructor Summary

Constructors
Constructor and Description
`BoundariesElementExpression()`
`BoundariesElementExpression(ElementCapture capture)`
`BoundariesElementExpression(ElementCapture capture, TypeExpression.Topo topo)`
`BoundariesElementExpression(TypeExpression.Topo topo)`

### Method Summary

### Methods inherited from class cascading.flow.planner.iso.expression.OrElementExpression

`applies, or, or, or, or, toString`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoundariesElementExpression

    public BoundariesElementExpression()

#### BoundariesElementExpression

    public BoundariesElementExpression(ElementCapture capture)

#### BoundariesElementExpression

    public BoundariesElementExpression(TypeExpression.Topo topo)

#### BoundariesElementExpression

    public BoundariesElementExpression(ElementCapture capture,
                               TypeExpression.Topo topo)